# Create a wire transfer

**POST** `/transfers/wire`

Create a wire transfer between a Column account and a counterparty.

### Body Parameters

- `account_number_id` `string` _(required)_ — ID of the account number from which the wire transfer is sent.
- `allow_overdraft` `boolean` _(required)_ — Allow the account to go negative for the transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it.
- `amount` `integer` _(required)_ — Amount (in cents) of the funds that will be transferred. e.g. $1.75 would be represented by 175.
- `bank_account_id` `string` _(required)_ — ID of the bank account from which the wire transfer is sent.
- `counterparty_id` `string` _(required)_ — ID of the counterparty that will receive the transfer.
- `creditor_tax_id` `string` _(required)_ — A Tax Identification Number (TIN) or Employer Identification Number (EIN) of exactly `9` numeric characters for the creditor.
- `currency_code` `string` _(required)_ — The three-letter currency code defined in ISO 4217. e.g. `USD`.
- `description` `string` _(required)_ — A description of the transfer. This field contains originator to beneficiary information and will be transmitted to the RDFI. `140` character limit.
- `instructed_bank_routing_number` `string` — Optional ABA routing number of the instructed bank (Fedwire receiver) when it differs from the counterparty's bank. When specified, the wire is physically sent to this institution on Fedwire, which then forwards funds to the counterparty's bank. Must be a valid Fedwire-eligible ABA routing number.
- `tax_record_period_type` `string` _(required)_ — The tax record period type for tax-related wire transfers. Possible values: `MM01`-`MM12` (monthly), `QTR1`-`QTR4` (quarterly), `HLF1`-`HLF2` (half-yearly)
- `tax_type_code` `string` _(required)_ — The tax type code for tax-related wire transfers. Possible values: `WITF` (withholding tax), `TAXE` (tax payment)
- `tax_year` `string` _(required)_ — A Tax Year of exactly `4` numerical characters.
- `ultimate_originator_counterparty` `object` — Inline counterparty object for the ultimate originator. Use this instead of `ultimate_originator_counterparty_id` to create a new counterparty inline.
  - `account_number` `string` _(required)_ — The account number for the bank account.
  - `account_type` `string` _(required)_ — The type of the account number. Can be `checking` or `savings`.
  - `address` `object` _(required)_ — Addresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the [Fedwire character validation](/wire#valid-characters-permitted).
    - `city` `string` _(required)_ — City name
    - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
    - `line_1` `string` _(required)_ — Street address line 1
    - `line_2` `string` — Street address line 2
    - `postal_code` `string` — Postal or ZIP code
    - `state` `string` — State or province
  - `description` `string` _(required)_ — Description of the counterparty visible only in your platform. Maximum length: `127` characters.
  - `email` `string` _(required)_ — The email address of the beneficiary.
  - `legal_id` `string` _(required)_ — The legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `127` characters.
  - `legal_type` `string` _(required)_ — The legal entity type of the beneficiary. Can be `business`, `non_profit`, `individual`, or `sole_proprietor`. This field is recommended for international wire transfers, and required in some countries.
  - `local_account_number` `string` _(required)_ — The local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
  - `local_bank_code` `string` _(required)_ — The local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: `63` characters.
  - `local_bank_country_code` `string` _(required)_ — The ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
  - `local_bank_name` `string` _(required)_ — Name of the beneficiary's local bank.
  - `name` `string` _(required)_ — The counterparty name who owns the bank account. There is a `127` character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
  - `phone` `string` _(required)_ — The phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `31` characters.
  - `routing_number` `string` _(required)_ — The routing number of the bank.
  - `routing_number_type` `string` _(required)_ — The type of the routing number. Can be `aba`, `bic`, or `other`.
  - `wire` `object` _(required)_ — Wire-specific details for this counterparty, including beneficiary information and local bank details.
    - `beneficiary_address` `object` _(required)_ — The address of the wire beneficiary.
      - `city` `string` _(required)_ — City name
      - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
      - `line_1` `string` _(required)_ — Street address line 1
      - `line_2` `string` — Street address line 2
      - `postal_code` `string` — Postal or ZIP code
      - `state` `string` — State or province
    - `beneficiary_email` `string` _(required)_ — The email address of the wire beneficiary.
    - `beneficiary_legal_id` `string` _(required)_ — The legal identification number of the wire beneficiary (e.g. EIN or SSN).
    - `beneficiary_name` `string` _(required)_ — The name of the wire beneficiary.
    - `beneficiary_phone` `string` _(required)_ — The phone number of the wire beneficiary.
    - `beneficiary_type` `string` _(required)_ — The type of the wire beneficiary. Possible values: `individual`, `business`
    - `local_account_number` `string` _(required)_ — The local account number at the beneficiary's bank (used for international counterparties).
    - `local_bank_code` `string` _(required)_ — The local bank code of the beneficiary's bank (used for international counterparties).
  - `wire_drawdown_allowed` `boolean` _(required)_ — Whitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If `false`, all inbound drawdown requests from this counterparty will require explicit approval.
- `ultimate_originator_counterparty_id` `string` _(required)_ — ID of the ultimate originating counterparty that sent the transfer in an outgoing wire transfer.

**Request**

```shell
curl 'https://api.column.com/transfers/wire' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d description="Example wire transfer" \
  -d amount=10000 \
  -d currency_code="USD" \
  -d bank_account_id="<bank_account_id>" \
  -d counterparty_id="<counterparty_id>"
```

**Response 200**

```json
{
  "id": "wire_2DucXfsrbVzW4GsNMUmFum1eOeP",
  "created_at": "2021-11-29T20:40:19.916Z",
  "updated_at": "2021-11-29T20:40:19.916Z",
  "initiated_at": "2021-11-29T20:40:19.916Z",
  "pending_submission_at": "2021-11-29T20:40:19.916Z",
  "submitted_at": "2021-11-29T20:40:19.916Z",
  "completed_at": "2021-11-29T20:40:19.916Z",
  "rejected_at": "2021-11-29T20:40:19.916Z",
  "idempotency_key": "",
  "bank_account_id": "",
  "account_number_id": "",
  "counterparty_id": "",
  "amount": 0,
  "currency_code": "",
  "description": "",
  "status": "NONE",
  "allow_overdraft": true,
  "platform_id": "",
  "is_on_us": true,
  "is_incoming": true,
  "wire_drawdown_request_id": ""
}
```
